Bug 1402992 - VM snapshot: revert option is enabled, for Active VM
Summary: VM snapshot: revert option is enabled, for Active VM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.3
Assignee: Moti Asayag
QA Contact: Aziza Karol
URL:
Whiteboard: rhev
Depends On: 1396068
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-08 20:25 UTC by Satoe Imaishi
Modified: 2017-06-28 14:57 UTC (History)
12 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1396068
Environment:
Last Closed: 2017-06-28 14:57:56 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-01-09 17:51:00 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/7898c8e3d270dd503e95fe3614128695bfc40800

commit 7898c8e3d270dd503e95fe3614128695bfc40800
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Tue Dec 6 10:05:20 2016 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 12:46:43 2017 -0500

    Merge pull request #12768 from borod108/bugs/1396068revert_active
    
    No revert for "active" snapshot
    (cherry picked from commit eb0315daf8d6d10817247ae29bfc4efb08668aba)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1402992

 app/helpers/application_helper/toolbar_builder.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 3 Ilanit Stein 2017-01-31 10:23:47 UTC
Verified on CFME-5.7.1.0 & RHV-4.0.5.

For a down VM, the revert icon is not active, when the "Active VM" is marked.

Comment 5 Aziza Karol 2017-02-15 06:26:51 UTC
Hi Dave,

As per the comment in https://bugzilla.redhat.com/show_bug.cgi?id=1396068#c9,
I agree with Dan, this fix is valid for rhev vm and not or vmware vm as VMware allows positioning on the active snapshot.

For vmware vm in 5.7.1, the revert option is showing as disabled for active vm and this has to be fix.

Thanks,
Aziza

Comment 6 Oved Ourfali 2017-02-16 15:07:36 UTC
Should you open another bug for the vmware provider?

Comment 7 Dave Johnson 2017-02-16 15:19:13 UTC
My take on it is that your change introduced this regression through this proposed fix and it should stay all within this BZ.  Ultimately it needs to be fixed either way, the questions are when and by who?  We can certainly open separate BZ if the decision is to defer which I lean towards nacking but would like john to weigh in.

Comment 12 CFME Bot 2017-03-13 21:56:00 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/a2c7e9a60ecf6b85c06a5cf77d5b5628accea830

commit a2c7e9a60ecf6b85c06a5cf77d5b5628accea830
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Feb 16 14:51:25 2017 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Feb 16 14:58:57 2017 -0500

    Revert "Merge pull request #12768 from borod108/bugs/1396068revert_active"
    
    This reverts commit 7898c8e3d270dd503e95fe3614128695bfc40800.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1402992

 app/helpers/application_helper/toolbar_builder.rb | 1 -
 1 file changed, 1 deletion(-)

Comment 14 Satoe Imaishi 2017-06-06 20:46:50 UTC
PR: https://github.com/ManageIQ/manageiq/pull/14326

Comment 15 Aziza Karol 2017-06-09 11:57:19 UTC
For VMware vm,the revert option is showing as enabled for active vm. 

Verified:5.7.3.1.20170608124102_4b35a9e

Ilanit,
Would you please verify this on RHV provider?

Comment 16 Ilanit Stein 2017-06-11 10:50:46 UTC
For RHV vm, the revert option is showing as disabled for active vm. 

Verified: CFME-5.7.3.1.20170608124102_4b35a9e/RHV-4.1.3

Comment 18 errata-xmlrpc 2017-06-28 14:57:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.